Skip to content

Get policy

Request

Returns the full policy, including its conditions and actions, for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

policyIdstring, (uuid)required
GET
/api/v1/organizations/{organizationId}/policies/{policyId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/policies/{policyId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (uuid)required

The policy ID.

Example:"3fa85f64-5717-4562-b3fc-2c963f66afa6"
namestringrequired

The policy name.

Example:"Standard signing policy"
isActivebooleanrequired

Whether the policy is active.

Example:true
descriptionstring or null

The policy description.

Example:"Policy applied to all standard signing envelopes"
documentClassIdstring or null, (uuid)

The document class this policy applies to, when set.

conditionsArray of objects(PolicyConditionResponse)required

The policy's conditions.

actionsArray of objects(PolicyActionResponse)required

The policy's actions.

Response
{ "id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "name": "Standard signing policy", "isActive": true, "description": "Policy applied to all standard signing envelopes", "documentClassId": "6ecd8c99-4036-403d-bf84-cf8400f67836", "conditions": [ { … }, { … }, { … }, { … } ], "actions": [ { … }, { … } ] }